Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Interface ChannelSink

All Known Implementing Classes:
  AbstractChannelSink

    public interface ChannelSink

Receives and processes the terminal downstream `ChannelEvent`s.

A `ChannelSink` is an internal component which is supposed to be implemented by a transport provider. Most users will not see this type in their code.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`void` | `eventSunk(ChannelPipeline pipeline, ChannelEvent e)` Invoked by `ChannelPipeline` when a downstream `ChannelEvent` has reached its terminal (the head of the pipeline).
`void` | `exceptionCaught(ChannelPipeline pipeline, ChannelEvent e, ChannelPipelineException cause)` Invoked by `ChannelPipeline` when an exception was raised while one of its `ChannelHandler`s process a `ChannelEvent`.

Method Detail

### eventSunk

    void eventSunk(ChannelPipeline pipeline,
                   ChannelEvent e)
                   throws Exception

  Invoked by `ChannelPipeline` when a downstream `ChannelEvent` has reached its terminal (the head of the pipeline).

  Throws:
    `Exception`

### exceptionCaught

    void exceptionCaught(ChannelPipeline pipeline,
                         ChannelEvent e,
                         ChannelPipelineException cause)
                         throws Exception

  Invoked by `ChannelPipeline` when an exception was raised while one of its `ChannelHandler`s process a `ChannelEvent`.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.